stages:
    - etapa1

variables:
    INSTACIA_LAB: lab-ccastro   
    ZONE_GCP: us-central1-a
    MACHINE_TYPE: n1-standard-2
    REMOTE_DIR: /home
    
test-pipeline:
    stage: etapa1
    image: google/cloud-sdk
    before_script:
        - gcloud config set project $PROYECTO
        - echo $GOOGLE_KEY_QA > ${HOME}/gcloud-key.json
        - gcloud auth activate-service-account --key-file ${HOME}/gcloud-key.json
    script: 
        - echo "Hola Mundo"
        
        - gcloud compute instances create $INSTANCIA_LAB --zone $ZONE_GCP --machine-type $MACHINE_TYPE --scopes cloud-platform
        #copia de archivos a vm
        - gcloud compute scp $CI_PROJECT_DIR/taller2.py $INSTANCIA_LAB:$REMOTE_DIR --zone $ZONE_GCP
        - gcloud compute scp $CI_PROJECT_DIR/requirements.txt $INSTANCIA_LAB:$REMOTE_DIR --zone $ZONE_GCP
        - gcloud compute scp ${HOME}/gcloud-key.json $INSTANCIA_LAB:$REMOTE_DIR --zone $ZONE_GCP
        #instalación de python y de módulos de python
        - gcloud compute ssh $INSTANCIA_LAB --command="sudo apt-get update && sudo apt -y install python3-pip && cd $REMOTE_DIR" --zone $ZONE_GCP
        #ejecución de codigo pythn en VM
        - gcloud compute ssh $INSTANCIA_LAB --command="cd $REMOTE_DIR && pip3 install -r requirements.txt && python3 taller2.py" --zone $ZONE_GCP
        #- gcloud compute ssh $INSTANCIA_LAB --command="cd $REMOTE_DIR && mv autos2.csv bbarra_vm.csv" --zone $ZONE_GCP
        #- gcloud compute ssh $INSTANCIA_LAB --command="cd $REMOTE_DIR && gsutil cp bbarra_vm.csv gs://capacitacion-clever-it/" --zone $ZONE_GCP
        
    after_script:
        - gcloud compute instances delete $INSTANCIA_LAB --zone $ZONE_GCP --quiet

